---
- stat:
    path: "{{ root }}/srv/http/_sites/_storage"
  register: storage

- name: move storage to data
  when: storage.stat.isdir is defined and storage.stat.isdir
  command: "mv {{ root }}/srv/http/_sites/_storage {{ root }}{{ directories.storage }}"

- stat:
    path: "{{ root }}/srv/http/_sites"
  register: sites

- name: move sites to data
  when: sites.stat.isdir is defined and sites.stat.isdir
  command: "mv {{ root }}/srv/http/_sites {{ root }}{{ directories.sites }}"

- stat:
    path: "{{ root }}/srv/http/_deploy"
  register: deploy

- name: move deploy to data
  when: deploy.stat.isdir is defined and deploy.stat.isdir
  command: "mv {{ root }}/srv/http/_deploy {{ root }}{{ directories.deploy }}"

- stat:
    path: "{{ root }}/srv/http/_public"
  register: public

- name: move public to data
  when: public.stat.isdir is defined and public.stat.isdir
  command: "mv {{ root }}/srv/http/_public {{ root }}{{ directories.public }}"
